Rated Tv Episode
curl --request GET \
--url https://api.themoviedb.org/3/account/{account_id}/rated/tv/episodes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/account/{account_id}/rated/tv/episodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/account/{account_id}/rated/tv/episodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"air_date": "2023-11-22",
"episode_number": 1,
"episode_type": "standard",
"id": 4669401,
"name": "Red Light, Green Light",
"overview": "Hundreds of hopefuls in tracksuits set out to cross the finish line during the opening game of \"Red Light, Green Light.\" A cookie challenge causes chaos.",
"production_code": "",
"rating": 8,
"runtime": 57,
"season_number": 1,
"show_id": 204082,
"still_path": "/uzRQDQTxljTFUJefhy1KxN9Fzkw.jpg",
"vote_average": 7.976,
"vote_count": 84
}
],
"total_pages": 1,
"total_results": 1
}Rated Tv Episode
This endpoint get the list of user’s list of rated tv episodes
GET
/
3
/
account
/
{account_id}
/
rated
/
tv
/
episodes
Rated Tv Episode
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
user's account id
Query Parameters
page number to retrieve specific paginated results.
session ID for authentication or tracking purposes
language based on region
Sort the results either in ascending order or descending order
Available options:
created_at.asc, created_at.desc Response
200 - application/json
Rated Tv Episodes
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"air_date": "2023-11-22",
"episode_number": 1,
"episode_type": "standard",
"id": 4669401,
"name": "Red Light, Green Light",
"overview": "Hundreds of hopefuls in tracksuits set out to cross the finish line during the opening game of \"Red Light, Green Light.\" A cookie challenge causes chaos.",
"production_code": "",
"rating": 8,
"runtime": 57,
"season_number": 1,
"show_id": 204082,
"still_path": "/uzRQDQTxljTFUJefhy1KxN9Fzkw.jpg",
"vote_average": 7.976,
"vote_count": 84
}
]
Example:
1
Example:
1
⌘I